{ nixpkgs ? import <nixpkgs> { }, pythonPkgs ? nixpkgs.pkgs.python39Packages }:

let
  inherit (nixpkgs) pkgs;
  inherit pythonPkgs;

  selfprivacy-api =
    { buildPythonPackage
    , flask
    , flask-restful
    , setuptools
    , portalocker
    , flask-swagger
    , flask-swagger-ui
    , pytz
    , pytest
    , pytest-mock
    , pytest-datadir
    , huey
    , gevent
    , mnemonic
    }:
    buildPythonPackage rec {
      pname = "selfprivacy-api";
      version = "1.2.1";
      src = builtins.fetchGit {
        url = "https://git.selfprivacy.org/SelfPrivacy/selfprivacy-rest-api.git";
        rev = "4cbb08cb6e70f80d26e0abd0e3703c9c6411aef1";
      };
      propagatedBuildInputs = [
        flask
        flask-restful
        setuptools
        portalocker
        flask-swagger
        flask-swagger-ui
        pytz
        pytest
        pytest-mock
        pytest-datadir
        huey
        gevent
        mnemonic
      ];
      meta = {
        description = ''
          SelfPrivacy Server Management API
        '';
      };
    };
  drv = pythonPkgs.callPackage selfprivacy-api { };
in
if pkgs.lib.inNixShell then drv.env else drv
